petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscStrstr

Locates first occurance of string in another string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrstr(const char haystack[],const char needle[],char *tmp[])

Not Collective Many br

### Input Parameters

| haystack | - string to search Many br
| needle | - string to find Many br

### Output Parameter

tmp -location of occurance, is a NULL if the string is not found Many br

Notes: Not for use in Fortran Many br

Many br

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex47cu.cu.html